Steam for Linux

Steam for Linux

Steam for Linux > Általános témák > Téma részletei
kangstag 2013. szept. 1. @ du. 2:05
OpenGL GLX context is not using direct rendering, which may cause performance problems.

Whenever I start up steam, I get this error:
"OpenGL GLX context is not using direct rendering, which may cause performance problems.
For more information visit"

System specs:
OS: Ubuntu 12.04.3 (LTS) 64-bit
Video card: Radeon HD 6850
I've installed the Linux graphics driver from the AMD website

I went to the link provided in the error message. I ran the 32-bit glxinfo and I get this:
name of display: :0
libGL: screen 0 does not appear to be DRI2 capable
libGL: OpenDriver: trying /usr/lib/i386-linux-gnu/dri/tls/
libGL: OpenDriver: trying /usr/lib/i386-linux-gnu/dri/
libGL error: failed to load driver: swrast
display: :0 screen: 0
direct rendering: No (If you want to find out why, try setting LIBGL_DEBUG=verbose)

I'm guessing that "direct redendering: No" is one of the problems. I'm a noob so I'm not sure what to do. Any help? Thanks.
< >
16/6 megjegyzés mutatása
Kesnol 2013. szept. 2. @ du. 3:59 
I had the same problem in debian 64 bits. You need to install some 32 bits libraries... Have a look to libgl1-mesa-dri:i386, libgl1-mesa-glx:i386 and ia32-libs
coldReactive (Iyeru) 2013. okt. 18. @ de. 7:10 
ia32-libs is no longer needed in most debian distros, as 64-bit has 32-bit multiarch already installed. (as a result, installing the 32-bit version of a package removes the 64-bit version, and cannot be installed at the same time due to multi-arch support now included in the OSes.)
Katz 2013. okt. 18. @ du. 3:17 
Steam installed the above mentioned 32 bit packages but still says the same thing. If you have an AMD card is there something else you need to do?
Mark_02 2013. nov. 14. @ de. 8:28 
this problem fixed at russian part internet. use this link

sort command list

sudo sh /usr/share/ati/
sudo apt-get remove --purge fglrx fglrx_* fglrx-amdcccle* fglrx-dev* xorg-driver-fglrx

sudo apt-get install build-essential cdbs fakeroot dh-make debhelper debconf libstdc++6 dkms libqtgui4 wget execstack libelfg0 dh-modaliases
sudo apt-get install ia32-libs-multiarch lib32gcc1 libc6-i386

(get new driver from ....)

chmod +x
sudo sh

if driver do not install try --force key


last step

sudo aticonfig --initial -f

and now

Legutóbb szerkesztette: Mark_02; 2013. nov. 14. @ de. 8:29
arc| Gps 2013. nov. 16. @ de. 7:04 
What worked for me on openSUSE 64bit, was installing latest beta drivers from amd.
Tensor 2014. ápr. 14. @ du. 1:38 
Worked for me on ubuntu 13.10 with AMD drivers for HD6450. Thanks
< >
16/6 megjegyzés mutatása
Laponként: 15 30 50

Steam for Linux > Általános témák > Téma részletei
Küldés ideje: 2013. szept. 1. @ du. 2:05
Hozzászólások: 6